#!/bin/bash

set -euo pipefail

echo "vars"
htpasswd="$(mktemp)"
venv=~/.cache/radicale-venv
#locale_ip_addr="$(ip -o -4 a show dev usb0 | grep -Po 'inet[[:space:]]+\K192.168.42.[0-9]{1,3}')"
locale_ip_addr="192.168.42.58"
port=5232

if [ ! -d "$venv" ] || [ -z "$(ls -A "$venv")" ] ; then
	virtualvenv "$venv"
fi

sudo ip a add "$locale_ip_addr" dev usb0

echo "populating htpasswd. Enter password :"
htpasswd -c "$htpasswd" dav

echo "venv"
. venv/bin/activate

echo "runing on $locale_ip_addr:$port"
python3 -m radicale -H "$locale_ip_addr:$port" --storage-filesystem-folder=~/.contacts --auth-type=htpasswd --auth-htpasswd-encryption md5 --auth-htpasswd-filename "$htpasswd"

echo "Cleaning"
rm "$htpasswd"
